<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
<script type="text/javascript">
function cek_nik() {
    var nik = $("#tambah_nik_anggota").val();
    $.ajax({
        type: "POST",
        url: '<?= base_url('marketing/data/cek_anggota') ?>',
        data: 'nik=' + nik,
        success: function(data) {
            var json = data,
                obj = JSON.parse(json);
            if (obj > 1) {
                $('#tambah_nomor_kk').val();
                $('#tambah_nm_anggota').val();
                $('#tambah_jk').val();
                $('#tambah_alamat_id').val();
                $('#tambah_alamat_lengkap').val();
                $('#tambah_kode_pos').val();
                $('#tambah_nm_rt').val();
                $('#tambah_nm_rw').val();
                $('#tambah_tempat_lahir').val();
                $('#tambah_tgl_lahir').val();
                $('#tambah_no_hp').val();
                $('#tambah_pekerjaan').val();
                $('#tambah_suami_istri').val();
            } else {
                $('#tambah_nomor_kk').val(obj.nomor_kk);
                $('#tambah_nm_anggota').val(obj.nm_anggota);
                $('#tambah_jk').val(obj.jk);
                $('#tambah_alamat_lengkap').val(obj.alamat_lengkap);
                $('#tambah_kota_kabupaten').html(obj.kota_kabupaten);
                $('#tambah_kecamatan_baru').html(obj.kecamatan_baru);
                $('#tambah_dk_ds').html(obj.dk_ds);
                $('#tambah_nm_rt').val(obj.nm_rt);
                $('#tambah_nm_rw').val(obj.nm_rw);
                $('#tambah_tempat_lahir').val(obj.tempat_lahir);
                $('#tambah_tgl_lahir').val(obj.tgl_lahir);
                $('#tambah_no_hp').val(obj.no_hp);
                $('#tambah_pekerjaan').val(obj.pekerjaan);
                $('#tambah_suami_istri').val(obj.suami_istri);
            }
        }
    })
}
</script>
<script>
function showDiv(select) {
    if (select.value == 0) {
        $("#select_suami_istri").hide();
    }
    if (select.value == 1) {
        $("#select_suami_istri").show();
    }
    if (select.value == 2) {
        $("#select_suami_istri").hide();
    }
}
</script>
<script>
function showDiv2(select) {
    if (select.value == 'Y') {
        $("#select_pakai_jaminan").show();
    }
    if (select.value == 'N') {
        $("#select_pakai_jaminan").hide();
    }
}
</script>
<!-- Script_alamat Baru -->
<script type="text/javascript">
$('#tambah_kota_kabupaten').change(function() {
    var nm_kot_kab = $(this).val();
    $.ajax({
        type: 'POST',
        url: '<?= base_url('marketing/kot_kab') ?>',
        data: 'nm_kot_kab=' + nm_kot_kab,
        success: function(response) {
            $('#tambah_kecamatan_baru').html(response);
        }
    });
});

$('#tambah_kecamatan_baru').change(function() {
    var nm_kecamatan = $(this).val();
    $.ajax({
        type: 'POST',
        url: '<?= base_url('marketing/kecamatan') ?>',
        data: 'nm_kecamatan=' + nm_kecamatan,
        success: function(response) {
            $('#tambah_dk_ds').html(response);
        }
    });
});
</script>